<div ng-controller="InspectorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Inspector</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE INSPECTORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Inspector">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar inspector</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div> 

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{inspectores.length}} INSPECTORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="inspectores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th class="text-center">OPCIONES</th>
                              <th>APELLIDOS Y NOMBRES</th>
                              <th class="text-center">N° PARCELAS</th>
                              <th class="text-center">PARCELA</th>
                              <th>DIRECCIÓN</th>
                              <th>EMAIL</th>
                              <th class="text-center">TELÉFONO</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="inspector in inspectores |filter: buscar | itemsPerPage: 10" pagination-id="inspector.id">
                              <td class="text-center">
                                <div class="input-group-btn">
                                  <button class="btn btn-info btn-border btn-sm btn-radius-left" title="EDITAR INSPECTOR {{inspector.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(inspector);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button class="btn btn-danger btn-border btn-sm btn-radius-right" title="ELIMINAR INSPECTOR {{inspector.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(inspector);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                              <td>{{inspector.fullname | uppercase}}</td>
                              <td class="text-center">{{inspector.cantidad_parcelas}}</td>
                              <td class="text-center">
                                <a class="btn btn-blue btn-sm btn-border btn-rounded-10" ui-sref="admin.inspector.inspector_parcela" ng-click="redirectTo(inspector)" title="PARCELAS DE INSPECTOR {{inspector.nombre | uppercase}}"><span class="icon-grid"></span> parcelas</a>
                              </td>
                              <td>{{inspector.direccion | uppercase}}</td>
                              <td>{{inspector.email | uppercase}}</td>
                              <td class="text-center">{{inspector.telefono}}</td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="inspector.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="inspectores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay inspectores registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="inspector_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Inspector"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombres<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombres" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_paterno">Apellido Paterno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno" required>
            </div> 
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_materno">Apellido Materno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno" required> 
            </div> 
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="direccion">Dirección</label>
              <input type="text" class="form-control uppercase" name="direccion" ng-model="obj.direccion" placeholder="Dirección"> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="dni">DNI<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" name="dni" ng-model="obj.dni" placeholder="DNI" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="telefono">Teléfono</label>
              <input type="text" class="form-control" name="telefono" ng-model="obj.telefono" placeholder="999-999-999"> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="email">Email</label>
              <input type="text" class="form-control" name="email" ng-model="obj.email" placeholder="Email"> 
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="inspector_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>